 <%--
 @purpose      Menu.jsp is used to capture left nevigation menu items.
 @caveats      This page is generic and included in all JSP files to display left nevigational menu items.
 @author       RSI offshore team
 --%>
<%@ taglib uri="/tags/athens" prefix="athens" %>
<%@page import="java.lang.*,com.hyperformix.athens.beans.*, com.hyperformix.athens.common.*"%>

<script type="text/javascript">
  function onMenuClicked(str)
  {
    
    if(str == "DSConfig")
      document.frmMenu.action = "ListDataSource.do";
    else if(str == "DSTypeConfig")
      document.frmMenu.action = "ListDataSourceTypes.do";
    else if(str == "AdminUsers")
    {
      document.frmMenu.page1.value="userListPage";
      document.frmMenu.action = "ListUsers.do";
    }
    else if(str == "Pulldata")
    	document.frmMenu.action = "PullData.do";
    else if(str == "Schedule")
    	document.frmMenu.action = "ShowScheduleList.do";
    else if(str == "ReportStatus")
      document.frmMenu.action = "ReportStatus.do";
    else if(str == "DBCleanup")
    	document.frmMenu.action = "DBCleanup.do";
    else if(str == "DBMigration")
    	document.frmMenu.action = "DBMigration.do";
    else if(str == "SchMigrate")
		document.frmMenu.action = "ShowMigrateListPage.do";
    else if(str == "Logout")
    	document.frmMenu.action = "Logout.do";
    else if(str == "ReportAdmin")
    	document.frmMenu.action = "ReportAdmin.do";
    else if(str == "Reporting")
    	document.frmMenu.action = "Reporting.do";
    else if(str == "QueryBuilder")
    	document.frmMenu.action = "QueryList.do";
    else if(str == "TimeZone")
    	document.frmMenu.action = "ManageTimeZone.do";
	else if(str == "DataReports")
		document.frmMenu.action = "DataMartReport.do";
//	else if(str == "ReportScheduling")
//		document.frmMenu.action = "SchReportActionLoad.do";
//	else if(str == "ViewReports")
//    	document.frmMenu.action = "viewReportLoadPage.do";
    else if(str == "GapReports")
    	document.frmMenu.action = "GapReport.do";
    else if(str == "ConfigurationSetting")
    	document.frmMenu.action = "ConfigLoad.do";    	
	else if (str == "DSASummaryReport")
    	document.frmMenu.action = "DSASummary.do";	
    else if (str == "databasetasks")
        	document.frmMenu.action = "DatabaseTasks.do";
    document.frmMenu.submit();
  }
</script>
<link rel="icon" href="Images/favicon.ico" type="image/x-icon"> 
<link rel="shortcut icon" href="Images/favicon.ico" type="image/x-icon">

<link href="decor.css" rel="stylesheet" type="text/css">

<form name="frmMenu" action="ReportStatus.do" method=POST>
<table width="146" border="0" cellspacing="0" cellpadding="0" align=center>
  <tr>
    <td colspan="2" width="151" height="27"  align=center>
    <div id="digitalclock" class="clockTr"></div>
  </tr>
  <tr class="athens-links">
    <td height="30"><div align="center"><img src="Images/data-sources.jpg" width="15" height="17" ></div></td>
    <td height="30" class="athens-link-headings">Administration </td>
  </tr>    
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem requiredRole="<%= UserFormConstant.ROLE_ADMIN %>" id="DSConfig" onclick="onMenuClicked('DSConfig')">Manage Data Sources</athens:menuItem>
   	</td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem requiredRole="<%= UserFormConstant.ROLE_ADMIN %>" id="DSTypeConfig" onclick="onMenuClicked('DSTypeConfig')">Manage Source Types</athens:menuItem>
   	</td>
  </tr>
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem id="Users" onclick="onMenuClicked('AdminUsers')">Maintain Users</athens:menuItem>
   	</td>
  </tr>
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem requiredRole="<%= UserFormConstant.ROLE_ADMIN %>" id="TimeZone" onclick="onMenuClicked('TimeZone')">Maintain Time Zones</athens:menuItem>
   	</td>
  </tr>
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem requiredRole="<%= UserFormConstant.ROLE_ADMIN %>" id="ConfigurationSetting" onclick="onMenuClicked('ConfigurationSetting')">Configuration Settings</athens:menuItem>
   	</td>
  </tr>  
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td>
    	<athens:menuItem requiredRole="<%= UserFormConstant.ROLE_ADMIN %>" id="databasetasks" onclick="onMenuClicked('databasetasks')">Database Tasks</athens:menuItem>
   	</td>
  </tr>  
  <tr class="athens-links">
    <td height="8">&nbsp;</td>
    <td >&nbsp;</td>
  </tr>
 
  <tr class="athens-links">
    <td height="17"><div align="center">
    <img src="Images/load-data.jpg" width="15" height="17"></div></td>
    <td class="athens-link-headings">Load Data </td>
  </tr>
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('Pulldata')" id="Pulldata">Pull Data</athens:menuItem></td>
  </tr>
   <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('Schedule')" id="Schedule">Schedule Load</athens:menuItem></td>
  </tr>
  <tr class="trBackground">
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('Status')" id="LoadStatusReport">Load Summary Report</athens:menuItem></td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('DSASummaryReport')" id="DSASummaryReport">Data Source Activity Report</athens:menuItem></td>
  </tr>
  <tr class="athens-links">
    <td height="8">&nbsp;</td>
    <td class="athens-link-headings">&nbsp;</td>
  </tr>
  
  <tr class="athens-links">
    <td height="17"><div align="center"><img src="Images/d-mgmt.jpg" width="15" height="17"></div></td>
    <td class="athens-link-headings"> Manage Data</td>    
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('DBCleanup')" id="DBCleanup">Purge Data</athens:menuItem></td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('SchMigrate')" id="SchMigrate">Schedule Migrations</athens:menuItem></td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('DBMigration')" id="DBMigration">Migrate Data</athens:menuItem></td>
  </tr>
  <tr class="athens-links">
    <td height="8">&nbsp;</td>
    <td class="athens-link-headings">&nbsp;</td>
  </tr>
  
  <tr class="athens-links">
    <td height="17"><div align="center"><img src="Images/d-mgmt.jpg" width="15" height="17"></div></td>
    <td class="athens-link-headings"> Create Reports</td>
  </tr>

<%--
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('ReportScheduling')" id="ReportScheduling">Schedule Report</athens:menuItem></td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('ViewReports')" id="ViewReports">View Reports</athens:menuItem></td>
  </tr>
 --%>

  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('DataReports')" id="DataReports">Create Data Report</athens:menuItem></td>
  </tr>
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('GapReports')" id="GapReports">Create Gap Report</athens:menuItem></td>
  </tr>
    
<%--
  <tr class="trBackground" >
    <td height="17">&nbsp;</td>
    <td><athens:menuItem onclick="onMenuClicked('QueryBuilder')" id="QueryBuilder">Create Visualizer Query</athens:menuItem></td>
  </tr>
  --%>

  <tr class="athens-links">
    <td height="2">&nbsp;</td>
    <td style="cursor:pointer;" onclick="onMenuClicked('Logout')">&nbsp;</td>
  </tr>
  <tr class="athens-links">
    <td height="17"><div align="center"><img src="Images/logout.jpg" width="15" height="14"></div></td>
    <td id="LogOff" style="cursor:pointer;" onclick="onMenuClicked('Logout')">&nbsp;Log Off</td>
  </tr>
   <!-- <tr bgcolor="7581B2" class="athens-links">
    <td colspan="2">&nbsp;</td>
  </tr> -->
  <tr class="trBackground">
    <td colspan="2" style="line-height:0"><img src="Images/bottom.jpg" width="151"></td>
  </tr>
</table>  
<br>
<table width="151" border="0" cellspacing="0" cellpadding="0" align=center>
  <tr class="athens-links" style="line-height:0">
	<td><img src="Images/topL.gif"></td>
	<td></td>
	<td align="right"><img src="Images/topR.gif"></td>
  </tr>
  <tr class="athens-links">
    <td><img src="Images/help.jpg"></td>
    <td><athens:menuItem htmlClass="athens-link-headings" onclick='window.open("http://wiki.ca.com/rest/ca/product/latest/topic?format=rendered&language=&space=CCM292&hid=HID_top_level_Help_link_ccc_vpm_dm","Help","")'>Help Topics</athens:menuItem></td>
	<td></td>
  </tr>

    
  <tr class="athens-links">
    <td><img src="Images/about.jpg"></td>
    <td><athens:menuItem htmlClass="athens-link-headings" onclick='window.open("About.htm","About","height=320,width=510,status=no,titlebar=no,toolbar=no,menubar=no,location=no");'>About Data Manager</athens:menuItem></td>
    <td ></td>
  </tr>
    
  <tr class="athens-links" style="line-height:0">
	<td><img src="Images/bottomL.gif"></td>
	<td ></td>
	<td align="right"><img src="Images/bottomR.gif"></td>
  </tr>
</table>

 <input type="hidden" name="page1" value=""/>
  <input type="hidden" name="index" value="0"/>
 </form>
<script type="text/javascript">
<% LoginData loginData=(LoginData)session.getAttribute("user"); %> 

 function calctime(time)
	{
	var TimezoneOffset = <%=loginData.getOffset()%>;
	var currenttime1 = new Date(time);
	
	var ms = currenttime1.getTime() + (currenttime1.getTimezoneOffset() * 60000)+ TimezoneOffset * 3600000;
  	var currenttime =  new Date(ms);
	var year=currenttime.getYear();

	if(year<2000)
	year=1900+year;
	
	var clocklocation = document.getElementById("digitalclock");
	clocklocation.innerHTML = conv(currenttime.getMonth()+1)+"-"+conv(currenttime.getDate())+"-"+conv(year)+" "+conv(currenttime.getHours()) + ":" + conv(currenttime.getMinutes()) ;
	setTimeout("calctime("+time+"+1000)", 1000);
	}
	calctime(<%=loginData.getTime(AthensConst.SERVER_TIME)%>);
 
        
   function conv(date)
   {
	   if(date<10)
	   date="0"+date;
	   return date;
   }
 </script>
